<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::MocoGoal::GoalInput Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structOpenSim_1_1MocoGoal_1_1GoalInput.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="structOpenSim_1_1MocoGoal_1_1GoalInput-members.html">List of all members</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::MocoGoal::GoalInput Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a7bc61f10e7c7c9da8379be3dc10d9746"><td class="memItemLeft" align="right" valign="top">const SimTK::Real &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOpenSim_1_1MocoGoal_1_1GoalInput.html#a7bc61f10e7c7c9da8379be3dc10d9746">initial_time</a></td></tr>
<tr class="separator:a7bc61f10e7c7c9da8379be3dc10d9746"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a582425a9d4467009ec6c20c034e5e372"><td class="memItemLeft" align="right" valign="top">const SimTK::State &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOpenSim_1_1MocoGoal_1_1GoalInput.html#a582425a9d4467009ec6c20c034e5e372">initial_state</a></td></tr>
<tr class="separator:a582425a9d4467009ec6c20c034e5e372"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a687baaa80a876a5ab20ac5cfa672b541"><td class="memItemLeft" align="right" valign="top">const SimTK::Vector &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOpenSim_1_1MocoGoal_1_1GoalInput.html#a687baaa80a876a5ab20ac5cfa672b541">initial_controls</a></td></tr>
<tr class="separator:a687baaa80a876a5ab20ac5cfa672b541"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71adacee31e13a88296ae8a2f2b0b736"><td class="memItemLeft" align="right" valign="top">const SimTK::Real &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOpenSim_1_1MocoGoal_1_1GoalInput.html#a71adacee31e13a88296ae8a2f2b0b736">final_time</a></td></tr>
<tr class="separator:a71adacee31e13a88296ae8a2f2b0b736"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ade07a20eb5670864e1e86abaccb6ec"><td class="memItemLeft" align="right" valign="top">const SimTK::State &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOpenSim_1_1MocoGoal_1_1GoalInput.html#a5ade07a20eb5670864e1e86abaccb6ec">final_state</a></td></tr>
<tr class="separator:a5ade07a20eb5670864e1e86abaccb6ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50682463e77e4484137cfe4577f718e4"><td class="memItemLeft" align="right" valign="top">const SimTK::Vector &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOpenSim_1_1MocoGoal_1_1GoalInput.html#a50682463e77e4484137cfe4577f718e4">final_controls</a></td></tr>
<tr class="separator:a50682463e77e4484137cfe4577f718e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87e834f5e221a3461ca5ab8c88a326fd"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOpenSim_1_1MocoGoal_1_1GoalInput.html#a87e834f5e221a3461ca5ab8c88a326fd">integral</a></td></tr>
<tr class="memdesc:a87e834f5e221a3461ca5ab8c88a326fd"><td class="mdescLeft">&#160;</td><td class="mdescRight">The solver computes the integral by integrating <a class="el" href="classOpenSim_1_1MocoGoal.html#af5f21ef76eb2e08397aa40bac99eecff" title="Calculate the integrand that should be integrated and passed to calcCost().">calcIntegrand()</a>.  <a href="structOpenSim_1_1MocoGoal_1_1GoalInput.html#a87e834f5e221a3461ca5ab8c88a326fd">More...</a><br /></td></tr>
<tr class="separator:a87e834f5e221a3461ca5ab8c88a326fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><dl class="section see"><dt>See also</dt><dd><a class="el" href="structOpenSim_1_1MocoGoal_1_1IntegrandInput.html">IntegrandInput</a>. </dd></dl>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a50682463e77e4484137cfe4577f718e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50682463e77e4484137cfe4577f718e4">&#9670;&nbsp;</a></span>final_controls</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const SimTK::Vector&amp; OpenSim::MocoGoal::GoalInput::final_controls</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5ade07a20eb5670864e1e86abaccb6ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ade07a20eb5670864e1e86abaccb6ec">&#9670;&nbsp;</a></span>final_state</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const SimTK::State&amp; OpenSim::MocoGoal::GoalInput::final_state</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1MocoGoal.html#aa1b26360696f6a606fc81de9324e6513">OpenSim::MocoGoal::calcGoal()</a>, <a class="el" href="classOpenSim_1_1MocoFinalOutputGoal.html#a68c8b88c07ee46f63fe3643bfcd7eff7">OpenSim::MocoFinalOutputGoal::calcGoalImpl()</a>, and <a class="el" href="classOpenSim_1_1MocoOutputPeriodicityGoal.html#a6012c1dcb4f9ea65e78eb75e3a8d1b74">OpenSim::MocoOutputPeriodicityGoal::calcGoalImpl()</a>.</p>

</div>
</div>
<a id="a71adacee31e13a88296ae8a2f2b0b736"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71adacee31e13a88296ae8a2f2b0b736">&#9670;&nbsp;</a></span>final_time</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const SimTK::Real&amp; OpenSim::MocoGoal::GoalInput::final_time</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1MocoFinalTimeGoal.html#adb5fb39412d380a6fd46d0969e4bcfce">OpenSim::MocoFinalTimeGoal::calcGoalImpl()</a>.</p>

</div>
</div>
<a id="a687baaa80a876a5ab20ac5cfa672b541"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a687baaa80a876a5ab20ac5cfa672b541">&#9670;&nbsp;</a></span>initial_controls</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const SimTK::Vector&amp; OpenSim::MocoGoal::GoalInput::initial_controls</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a582425a9d4467009ec6c20c034e5e372"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a582425a9d4467009ec6c20c034e5e372">&#9670;&nbsp;</a></span>initial_state</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const SimTK::State&amp; OpenSim::MocoGoal::GoalInput::initial_state</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1MocoGoal.html#aa1b26360696f6a606fc81de9324e6513">OpenSim::MocoGoal::calcGoal()</a>, <a class="el" href="classOpenSim_1_1MocoInitialOutputGoal.html#a781a7323eed8fb0c0ddc63eaf362e5f4">OpenSim::MocoInitialOutputGoal::calcGoalImpl()</a>, and <a class="el" href="classOpenSim_1_1MocoOutputPeriodicityGoal.html#a6012c1dcb4f9ea65e78eb75e3a8d1b74">OpenSim::MocoOutputPeriodicityGoal::calcGoalImpl()</a>.</p>

</div>
</div>
<a id="a7bc61f10e7c7c9da8379be3dc10d9746"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bc61f10e7c7c9da8379be3dc10d9746">&#9670;&nbsp;</a></span>initial_time</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const SimTK::Real&amp; OpenSim::MocoGoal::GoalInput::initial_time</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a87e834f5e221a3461ca5ab8c88a326fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87e834f5e221a3461ca5ab8c88a326fd">&#9670;&nbsp;</a></span>integral</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double&amp; OpenSim::MocoGoal::GoalInput::integral</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The solver computes the integral by integrating <a class="el" href="classOpenSim_1_1MocoGoal.html#af5f21ef76eb2e08397aa40bac99eecff" title="Calculate the integrand that should be integrated and passed to calcCost().">calcIntegrand()</a>. </p>

<p class="reference">Referenced by <a class="el" href="classOpenSim_1_1MocoAngularVelocityTrackingGoal.html#a4a2b6f2340943eee733c536b65c3a843">OpenSim::MocoAngularVelocityTrackingGoal::calcGoalImpl()</a>, <a class="el" href="classOpenSim_1_1MocoContactTrackingGoal.html#adc0cf2fd387974f2c459763721f747e2">OpenSim::MocoContactTrackingGoal::calcGoalImpl()</a>, <a class="el" href="classOpenSim_1_1MocoControlTrackingGoal.html#a68f058f42716d5f94ddf9c21974cb936">OpenSim::MocoControlTrackingGoal::calcGoalImpl()</a>, <a class="el" href="classOpenSim_1_1MocoJointReactionGoal.html#a6b589a491917e478e30667aeb912f680">OpenSim::MocoJointReactionGoal::calcGoalImpl()</a>, <a class="el" href="classOpenSim_1_1MocoMarkerTrackingGoal.html#ac04f327d4daafe628e1f1e255551437e">OpenSim::MocoMarkerTrackingGoal::calcGoalImpl()</a>, <a class="el" href="classOpenSim_1_1MocoOrientationTrackingGoal.html#af4a27a9a5ab57288f8dfc3b22efb500b">OpenSim::MocoOrientationTrackingGoal::calcGoalImpl()</a>, <a class="el" href="classOpenSim_1_1MocoStateTrackingGoal.html#a9db097361905e0fca5f0279a65f0c2f5">OpenSim::MocoStateTrackingGoal::calcGoalImpl()</a>, <a class="el" href="classOpenSim_1_1MocoSumSquaredStateGoal.html#ade55f959bd3bca729e359a7b7264ea1e">OpenSim::MocoSumSquaredStateGoal::calcGoalImpl()</a>, <a class="el" href="classOpenSim_1_1MocoTranslationTrackingGoal.html#a4d5828901269746de17b4d1031e4e04b">OpenSim::MocoTranslationTrackingGoal::calcGoalImpl()</a>, and <a class="el" href="classOpenSim_1_1MocoAccelerationTrackingGoal.html#a264e67b9ad093a8c2d56ce36ea8f3c0d">OpenSim::MocoAccelerationTrackingGoal::calcGoalImpl()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>OpenSim/Moco/MocoGoal/MocoGoal.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1MocoGoal.html">MocoGoal</a></li><li class="navelem"><a class="el" href="structOpenSim_1_1MocoGoal_1_1GoalInput.html">GoalInput</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:25 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
